commit:     3034f630730c325c59176f8d3d19185fc6efbcd8
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 14 20:53:10 2022 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Wed Sep 14 21:10:25 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3034f630

net-libs/accounts-qml: EAPI-8 bump, add upstream fixes, IUSE doc

Most importantly upstream commit 678c493a083a92d1fda2375f5d2e37c00c7b9a7e
for not calling qmlplugindump on install which led to failure in some
conditions.

Closes: https://bugs.gentoo.org/849773
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 net-libs/accounts-qml/Manifest                   |  1 +
 net-libs/accounts-qml/accounts-qml-0.7-r2.ebuild | 67 ++++++++++++++++++++++++
 2 files changed, 68 insertions(+)

diff --git a/net-libs/accounts-qml/Manifest b/net-libs/accounts-qml/Manifest
index fa099087241c..8db03e0fe99f 100644
--- a/net-libs/accounts-qml/Manifest
+++ b/net-libs/accounts-qml/Manifest
@@ -1 +1,2 @@
+DIST accounts-qml-0.7-patches-1.tar.xz 3416 BLAKE2B 
bbaef28c3d455d4aa458790a875a321870c90e88ba3e6735790b3ea50d89c6ac4ac3ef3320239fb4a120681690af4144ea616638ebe21e51e898e178a94eb5cb
 SHA512 
3f3f4996311fe76c9a438dc2794394879b655373146baa38be13c54a93f0016035d371ae7152df02b56b25f7898ab7d0752de636202e88acae1ee536f2809ad6
 DIST accounts-qml-module-VERSION_0.7.tar.gz 62029 BLAKE2B 
0924b73868135ad5d9ec7545d5b0ba84f140053f0be4d17f1c6d3754ec19e362af906af60fb45e6405b5d080dd8f63845070815b12e8bfeda30032c9ed172708
 SHA512 
4e0e5df64d0a477e11f412c0def85d0de1730efff9682790f5339a57d58778282aa8ca0fa201e409b3b9a2a75fea70f10555b1f70224a3b95ab8d44b942cf7e1

diff --git a/net-libs/accounts-qml/accounts-qml-0.7-r2.ebuild 
b/net-libs/accounts-qml/accounts-qml-0.7-r2.ebuild
new file mode 100644
index 000000000000..1510ade09dbc
--- /dev/null
+++ b/net-libs/accounts-qml/accounts-qml-0.7-r2.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit qmake-utils
+
+DESCRIPTION="QML bindings for accounts-qt and signond"
+HOMEPAGE="https://accounts-sso.gitlab.io/";
+SRC_URI="https://gitlab.com/accounts-sso/${PN}-module/-/archive/VERSION_${PV}/${PN}-module-VERSION_${PV}.tar.gz
+       https://dev.gentoo.org/~asturm/distfiles/${P}-patches-1.tar.xz";
+S="${WORKDIR}/${PN}-module-VERSION_${PV}"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+IUSE="doc test"
+
+# dbus problems
+RESTRICT="test"
+
+RDEPEND="
+       dev-qt/qtcore:5
+       dev-qt/qtdeclarative:5
+       net-libs/accounts-qt
+       net-libs/signond
+"
+DEPEND="${RDEPEND}
+       test? (
+               dev-qt/qtgui:5
+               dev-qt/qttest:5
+       )
+"
+BDEPEND="
+       doc? (
+               app-doc/doxygen
+               dev-qt/qdoc:5
+       )
+"
+
+DOCS=( README.md )
+
+PATCHES=( "${WORKDIR}/${P}-patches-1" ) # bug 849773
+
+src_prepare() {
+       default
+       rm -v .gitignore doc/html/.gitignore || die
+}
+
+src_configure() {
+       eqmake5 \
+               CONFIG+=no_docs \
+               PREFIX="${EPREFIX}"/usr
+}
+
+src_compile() {
+       default
+       if use doc; then
+               $(qt5_get_bindir)/qdoc doc/accounts-qml-module.qdocconf || die
+       fi
+}
+
+src_install() {
+       emake INSTALL_ROOT="${D}" install_subtargets
+       use doc && local HTML_DOCS=( doc/html )
+       einstalldocs
+}

Reply via email to